from distutils.core import setup

from pathlib import Path
this_directory = Path(__file__).parent
long_description = (this_directory / "README.md").read_text()

setup(
    name='similix',
    packages=['similix'],
    version='0.2',
    license='MIT',
    long_description=long_description,
    long_description_content_type='text/markdown',
    author='Cheng Phansivang',
    author_email='phansivang@gmail.com',
    url='https://github.com/phansivang/system_similarity.git',
    keywords=['similix', 'Vectors Similarity', 'Article Recommendation', 'OpenAI Similarity'],
    install_requires=[
        'annotated-types==0.6.0',
        'anyio==4.3.0',
        'certifi==2024.2.2',
        'contourpy==1.2.0',
        'cycler==0.12.1',
        'distro==1.9.0',
        'exceptiongroup==1.2.0',
        'fonttools==4.49.0',
        'grpcio==1.62.0',
        'grpcio-tools==1.62.0',
        'h11==0.14.0',
        'h2==4.1.0',
        'h5py==3.10.0',
        'hpack==4.0.0',
        'httpcore==1.0.4',
        'httpx==0.27.0',
        'hyperframe==6.0.1',
        'idna==3.6',
        'joblib==1.3.2',
        'kiwisolver==1.4.5',
        'matplotlib==3.8.3',
        'numpy==1.26.4',
        'openai==1.13.3',
        'packaging==23.2',
        'pandas==2.2.1',
        'pillow==10.2.0',
        'pinecone-client==3.1.0',
        'plotly==5.19.0',
        'portalocker==2.8.2',
        'protobuf==4.25.3',
        'pyarrow==15.0.1',
        'pydantic==2.6.3',
        'pydantic_core==2.16.3',
        'pyparsing==3.1.1',
        'python-dateutil==2.9.0.post0',
        'pytz==2024.1',
        'qdrant-client==1.8.0',
        'scikit-learn==1.4.1.post1',
        'scipy==1.12.0',
        'six==1.16.0',
        'sniffio==1.3.1',
        'tenacity==8.2.3',
        'threadpoolctl==3.3.0',
        'tqdm==4.66.2',
        'typing_extensions==4.10.0',
        'tzdata==2024.1',
        'urllib3==2.2.1',
        'utils==1.0.2',
    ],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Build Tools',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3.10',
    ],
)
